Skip to content

Thực thi lệnh shell

Request

Headers
Authorizationstringrequired

Mã thông báo cho yêu cầu mã thông báo truy cập giao diện phản hồi trường access_token

Example:{ Authorization },null
Bodyapplication/jsonrequired
idinteger, (int64)required

ID điện thoại đám mây

commandstringrequired

Lệnh shell cần thực thi

POST
/cloudphone/exeCommand
curl -i -X POST \
  /cloudphone/exeCommand \
  -H 'Authorization: ' \
  -H 'Content-Type: application/json' \
  -d '{
    "command": "am start -n com.android.chrome/com.google.android.apps.chrome.Main",
    "id": 1674153897828425
  }'

Responses

ĐƯỢC RỒI

Bodyapplication/json
codeintegerrequired

Mã phản hồi: 0 biểu thị thành công, >0 biểu thị thất bại

datastringrequired

Thông tin phản hồi

msgstringrequired

Thông báo phản hồi: Sẽ có thông báo lỗi được trả về khi mã lớn hơn 0.

Response
{ "code": 0, "data": "string", "msg": "string" }